News

Google Chrome – Java Support Ending

The latest Google Chrome release drops support for the Java plug-in required to play RuneScape. As such, it is no longer possible to play RuneScape in the Chrome browser.

If you’re a Chrome user, we strongly recommend that you download the RuneScape client to continue playing.

You can find out more information or get technical support if you’re having difficulty accessing the game. Take a look at the Chromium blog if you’d like to know more about why this has happened.

The RuneScape Team